
Name: monodevelop-database
Version: 2.0
Release: alt1

Summary: Monodevelop Database Addin
License: MIT/X11
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Url: http://www.monodevelop.org/

Source: http://go-mono.com/sources/monodevelop/%name-%version.tar.bz2
Patch1: monodevelop-2.0-alt-use_system_mysql.patch

# FIXME deps
%add_findreq_skiplist %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
Requires: monodevelop = %version
Requires: mysql-connector-net mono-data-postgresql mono-data-sqlite mono-data

BuildRequires: mono-mcs monodevelop mono-addins-devel libgtk-sharp2
BuildRequires: mysql-connector-net mono-data-postgresql mono-data-sqlite mono-data
BuildRequires: /proc

%description
MonoDevelop is a full-featured integrated development environment (IDE) for
mono and Gtk#. It was originally a port of SharpDevelop 0.98.

Monodevelop Database Addin

%prep
%setup -q
%patch1 -p1

%__subst "s|^pkgconfigdir *= \$(prefix)/lib/pkgconfig|pkgconfigdir = %_pkgconfigdir|" \
	Makefile.{am,in}

%build
./configure --prefix=/usr
%make

%install
%make_install DESTDIR=%buildroot install

for langdir in %buildroot%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale/*; do
echo "%lang($(basename $langdir)) $(echo $langdir |sed s!%buildroot!!)" >> %name.lang
done

%files -f %name.lang
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.dll
%_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/*.mdb
%dir %_prefix/lib/monodevelop/AddIns/MonoDevelop.Database/locale

%changelog
* Sat Jun 20 2009 Alexey Shabalin <shaba@altlinux.ru> 2.0-alt1
- Initial build for ALTLinux
